//Der Feld für Kommentare wird auf 100 Zeichen begrenzt
function limitText(limitField) {
    if (limitField.value.length > 110) {
        limitField.value = limitField.value.substring(0, 110);
    }
}

function resize() {
    if (window.sizeToContent)
        window.sizeToContent();
}
function closeW() {
    this.window.close();
}

function showBox(dir, tech) {
    s

    $("#" + dir + "SipBox").hide();
    $("#" + dir + "AnalogBox").hide();
    $("#" + dir + "IsdnBox").hide();
    $("#" + dir + "GsmBox").hide();
    $("#" + dir + "LteBox").hide();
    $("#" + dir + "CasBox").hide();
    $("#" + dir + tech + "Box").show();


}
function hide_elements(fromid_txt, matchtype_txt) {

    switch ($("#fromDirection").val()) {
        case "sip":
            $("#from_txt").html(matchtype_txt + "<br><br>" + fromid_txt);
            showBox("From", "Sip");
            break;
        case "isdn":
            $("#from_txt").html(fromid_txt);
            showBox("From", "Isdn");
            break;
        case "analog":
            $("#from_txt").html(fromid_txt);
            showBox("From", "Analog");
            break;
        case "cas":
            $("#from_txt").html(fromid_txt);
            showBox("From", "Cas");
            break;
        case "gsm":
            $("#from_txt").html(fromid_txt);
            showBox("From", "Gsm");
            break;
        case "lte":
            $("#from_txt").html(fromid_txt);
            showBox("From", "Lte");
            break;
    }

    switch ($("#toDirection").val()) {
        case "sip":
            showBox("to", "Sip");
            break;
        case "isdn":
            showBox("to", "Isdn");
            break;
        case "analog":
            showBox("to", "Analog");
            break;
        case "cas":
            showBox("to", "Cas");
            break;
        case "gsm":
            showBox("to", "Gsm");
            break;
        case "lte":
            showBox("to", "Lte");
            break;
    }

    switch ($("#match_type").val()) {
        case "manual":
            $("#manualsipfrom").show();
            $("#manualsipfrom").prop("disabled", false);
            $("#from_sip").hide();
            break;
        case "any":
            $("#manualsipfrom").show();
            $("#manualsipfrom").val(".*");
            $("#manualsipfrom").prop("disabled", true);
            $("from_sip").hide();
            break;
        default :
            $("#manualsipfrom").hide();
            $("#from_sip").show();
            break;
    }

    if ($("#from_isdn").val() == "manual") {
        $("#manualisdnfrom").show();
    } else {
        $("#manualisdnfrom").hide();
    }

    if ($("#from_analog").val() == "manual") {
        $("#manualanalogfrom").show();
    } else {
        $("#manualanalogfrom").hide();
    }

    if ($("#from_cas").val() == "manual") {
        $("#manualcasfrom").show();
    } else {
        $("#manualcasfrom").hide();
    }

    if ($("#from_gsm").val() == "manual") {
        $("#manualgsmfrom").show();
    } else {
        $("#manualgsmfrom").hide();
    }

    if ($("#from_lte").val() == "manual") {
        $("#manualltefrom").show();
    } else {
        $("#manualltefrom").hide();
    }

    if ($("#to_sip").val() == "manual") {
        $("#manualsip").show();
    } else {
        $("#manualsip").hide();
    }
    
    if ($("#to_isdn").val() == "manual") {
        $("#manualisdn").show();
    } else {
        $("#manualisdn").hide();
    }
    
    if ($("#to_analog").val() == "manual") {
        $("#manualanalog").show();
    } else {
        $("#manualanalog").hide();
    }
    
    if ($("#to_cas").val() == "manual") {
        $("#manualcas").show();
    } else {
        $("#manualcas").hide();
    }
    
    if ($("#to_gsm").val() == "manual") {
        $("#manualgsm").show();
    } else {
        $("#manualgsm").hide();
    }
    
    if ($("#to_lte").val() == "manual") {
        $("#manuallte").show();
    } else {
        $("#manuallte").hide();
    }

    required();
}


function required() {
    if ($("#manualsipfrom").is(":visible") || $("#manualisdnfrom").is(":visible")
            || $("#manualanalogfrom").is(":visible") || $("#manualcasfrom").is(":visible")
            || $("#manualgsmfrom").is(":visible") || $("#manualltefrom").is(":visible")) {
        addAsterisk("manualFrom");
    } else {
        deleteAsterisk("manualFrom");
    }
    if ($("#manualsip").is(":visible") || $("#manualgsm").is(":visible") || $("#manuallte").is(":visible")
            || $("#manualisdn").is(":visible") || $("#manualanalog").is(":visible")
            || $("#manualcas").is(":visible")) {
        addAsterisk("manualTo");
    } else {
        deleteAsterisk("manualTo");
    }

}


function is_submit()
{
    $("#fromDirection").prop("disabled", false);
    $("#toDirection").prop("disabled", false);

    var elem = document.getElementsByTagName("input");
    for (i = 0; i < elem.length; i++) {
        if (elem[i].type == "text") {
            elem[i].value = elem[i].value.replace(/\"/g, "\"");
            elem[i].value = elem[i].value.replace(/\'/g, "\"");
        }
    }
    return true;
}
